GET api/Notifications/GetLastNotifications

Request Information

URI Parameters

None.

Body Parameters

None.

Response Information

Resource Description

Notification
NameDescriptionTypeAdditional information
NotificationId

integer

None.

Date

date

None.

FormattedDate

string

None.

Type

string

None.

Title

string

None.

DescriptionShort

string

None.

DescriptionLong

string

None.

TargetType

string

None.

TargetId

integer

None.

ObjectState

ObjectState

None.

Response Formats

application/json, text/json

Sample:
{
  "notificationId": 1,
  "date": "2026-09-26T20:26:42.5283694+00:00",
  "formattedDate": "sample string 3",
  "type": "sample string 4",
  "title": "sample string 5",
  "descriptionShort": "sample string 6",
  "descriptionLong": "sample string 7",
  "targetType": "sample string 8",
  "targetId": 1,
  "objectState": 0
}

application/xml, text/xml

Sample:
<Notification xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Models">
  <ObjectState xmlns="http://schemas.datacontract.org/2004/07/Gruo.Core.Repository">Unchanged</ObjectState>
  <Date>2026-09-26T20:26:42.5283694+00:00</Date>
  <DescriptionLong>sample string 7</DescriptionLong>
  <DescriptionShort>sample string 6</DescriptionShort>
  <FormattedDate>sample string 3</FormattedDate>
  <NotificationId>1</NotificationId>
  <TargetId>1</TargetId>
  <TargetType>sample string 8</TargetType>
  <Title>sample string 5</Title>
  <Type>sample string 4</Type>
</Notification>